## r-bioc-pfamanalyzer 1.0.1+dfsg

=== DESCRIPTION ===
Package: pfamAnalyzeR
Type: Package
Title: Identification of domain isotypes in pfam data
Version: 1.0.1
Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
Description: Protein domains is one of the most import annoation of proteins we have
    with the Pfam database/tool being (by far) the most used tool. This R package enables
    the user to read the pfam prediction from both webserver and stand-alone runs into R.
    We have recently shown most human protein domains exist as multiple distinct variants 
    termed domain isotypes. Different domain isotypes are used in a cell, tissue, and 
    disease-specific manner. Accordingly, we find that domain isotypes, compared to each other,
    modulate, or abolish the functionality of a protein domain. This R package enables the
    identification and classification of such domain isotypes from Pfam data.
License: MIT + file LICENSE
Depends: R (>= 4.3.0), readr, stringr, dplyr
Imports: utils, tibble, magrittr
Encoding: UTF-8
RoxygenNote: 7.2.1
Suggests: BiocStyle, knitr, rmarkdown
VignetteBuilder: knitr
biocViews: AlternativeSplicing, TranscriptomeVariant,
        BiomedicalInformatics, FunctionalGenomics, SystemsBiology,
        Annotation, FunctionalPrediction, GenePrediction, DataImport
BugReports: https://github.com/kvittingseerup/pfamAnalyzeR/issues
git_url: https://git.bioconductor.org/packages/pfamAnalyzeR
git_branch: RELEASE_3_17
git_last_commit: c70e8b0
git_last_commit_date: 2023-06-27
Date/Publication: 2023-06-27
NeedsCompilation: no
Packaged: 2023-06-27 21:48:25 UTC; biocbuild
Author: Kristoffer Vitting-Seerup [cre, aut]
    (<https://orcid.org/0000-0002-6450-0608>)
Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-pfamanalyzer (1.0.1+dfsg-2) unstable; urgency=medium

  * Source-only upload
  * Add autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Tue, 15 Aug 2023 20:54:49 +0200

r-bioc-pfamanalyzer (1.0.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1042422)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jul 2023 06:43:12 +0200

## r-bioc-pfamanalyzer 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pfamAnalyzeR
 Type: Package
 Title: Identification of domain isotypes in pfam data
-Version: 1.0.1
+Version: 1.2.0
 Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
 Description: Protein domains is one of the most import annoation of proteins we have
     with the Pfam database/tool being (by far) the most used tool. This R package enables
@@ -23,12 +23,12 @@
         Annotation, FunctionalPrediction, GenePrediction, DataImport
 BugReports: https://github.com/kvittingseerup/pfamAnalyzeR/issues
 git_url: https://git.bioconductor.org/packages/pfamAnalyzeR
-git_branch: RELEASE_3_17
-git_last_commit: c70e8b0
-git_last_commit_date: 2023-06-27
-Date/Publication: 2023-06-27
+git_branch: RELEASE_3_18
+git_last_commit: de46306
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-06-27 21:48:25 UTC; biocbuild
+Packaged: 2023-10-24 22:25:54 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>)
 Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-pfamanalyzer (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 18:07:46 +0100

=== debian/control ===
Source: r-bioc-pfamanalyzer
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pfamanalyzer
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pfamanalyzer.git
Homepage: https://bioconductor.org/packages/pfamAnalyzeR/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-readr,
               r-cran-stringr,
               r-cran-dplyr,
               r-cran-tibble,
               r-cran-magrittr
Testsuite: autopkgtest-pkg-r

Package: r-bioc-pfamanalyzer
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R identification of domain isotypes in pfam data
 Protein domains is one of the most import annoation of proteins that are
 with the Pfam database/tool being (by far) the most used tool. This R
 package enables the user to read the pfam prediction from both webserver
 and stand-alone runs into R.  It was recently shown most human protein
 domains exist as multiple distinct variants termed domain isotypes.
 Different domain isotypes are used in a cell, tissue, and disease-
 specific manner. Accordingly, it was found that domain isotypes, compared
 to each other, modulate, or abolish the functionality of a protein domain.
 This R package enables the identification and classification of such
 domain isotypes from Pfam data.

## r-bioc-pfamanalyzer 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pfamAnalyzeR
 Type: Package
 Title: Identification of domain isotypes in pfam data
-Version: 1.2.0
+Version: 1.4.0
 Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
 Description: Protein domains is one of the most import annoation of proteins we have
     with the Pfam database/tool being (by far) the most used tool. This R package enables
@@ -23,12 +23,13 @@
         Annotation, FunctionalPrediction, GenePrediction, DataImport
 BugReports: https://github.com/kvittingseerup/pfamAnalyzeR/issues
 git_url: https://git.bioconductor.org/packages/pfamAnalyzeR
-git_branch: RELEASE_3_18
-git_last_commit: de46306
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: db14d0c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:25:54 UTC; biocbuild
+Packaged: 2024-05-01 05:16:54 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>)
 Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-pfamanalyzer (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:41:49 +0200

r-bioc-pfamanalyzer (1.4.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:45:20 +0200

## r-bioc-pfamanalyzer 1.6.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pfamAnalyzeR
 Type: Package
 Title: Identification of domain isotypes in pfam data
-Version: 1.4.0
+Version: 1.6.0
 Authors@R: person(given="Kristoffer",family="Vitting-Seerup", role=c("cre","aut"),email="k.vitting.seerup@gmail.com",comment = c(ORCID = "0000-0002-6450-0608"))
 Description: Protein domains is one of the most import annoation of proteins we have
     with the Pfam database/tool being (by far) the most used tool. This R package enables
@@ -23,13 +23,13 @@
         Annotation, FunctionalPrediction, GenePrediction, DataImport
 BugReports: https://github.com/kvittingseerup/pfamAnalyzeR/issues
 git_url: https://git.bioconductor.org/packages/pfamAnalyzeR
-git_branch: RELEASE_3_19
-git_last_commit: db14d0c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: f54b196
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:16:54 UTC; biocbuild
+Packaged: 2024-10-30 02:08:25 UTC; biocbuild
 Author: Kristoffer Vitting-Seerup [cre, aut]
     (<https://orcid.org/0000-0002-6450-0608>)
 Maintainer: Kristoffer Vitting-Seerup <k.vitting.seerup@gmail.com>

=== debian/changelog ===
r-bioc-pfamanalyzer (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 18:00:38 +0100

r-bioc-pfamanalyzer (1.6.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  Set upstream metadata fields: Archive.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 10:31:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-pfamanalyzer
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-pfamanalyzer.git
 Homepage: https://bioconductor.org/packages/pfamAnalyzeR/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/pfamAnalyzeR.html .*/pfamAnalyzeR_(.*).tar.gz
